2019-12-09 00:46 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006331Spring engineGeneralpublic2019-11-11 20:16
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006331: camera smoothing does nothing unless restarting
Descriptionno camera transition smoothing being applied, only after restarting you see the smoothing change applied

done via
Spring.SetConfigFloat("CamTimeFactor", value)
and / or
Spring.SetCameraState(Spring.GetCameraState(), cameraTransitionTime)
TagsNo tags attached.
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes

~0020210

Floris (reporter)

after that changing the transition time values ingame will adjust realtime without requiring a restart

~0020211

Floris (reporter)

seems like setting CamTimeFactor isnt consistant from one launch as another

say... you set it to 0.1 one game, restart and then configure it all the way to 3, the smoothing gets to be substancial... then restart again and the smoothing suddenly is ludicrous!

am i using this var wrong, or is it a bug?

~0020213

Kloot (developer)

Last edited: 2019-11-11 20:15

View 2 revisions

"say... you set it [CamTimeFactor] to 0.1 one game, restart and then configure it all the way to 3, the smoothing gets to be substancial... then restart again and the smoothing suddenly is ludicrous!"


this is not reproducable, the code definitely re-reads CamTimeFactor from springsettings on each restart.

also be aware Spring.SetCameraState(Spring.GetCameraState(), cameraTransitionTime) does not touch the CamTimeFactor value, you should (in 1438 and above) either call Spring.SetCameraState(Spring.GetCameraState(), cameraTransitionTime, camTimeFactor, camTimeExponent) or issue a /camtimefactor command to change that.

+Notes

-Issue History
Date Modified Username Field Change
2019-11-10 21:15 Floris New Issue
2019-11-10 21:21 Floris Note Added: 0020210
2019-11-10 21:41 Floris Note Added: 0020211
2019-11-11 20:10 Kloot Note Added: 0020213
2019-11-11 20:15 Kloot Note Edited: 0020213 View Revisions
2019-11-11 20:16 Kloot Assigned To => Kloot
2019-11-11 20:16 Kloot Status new => resolved
2019-11-11 20:16 Kloot Resolution open => fixed
2019-11-11 20:16 Kloot Fixed in Version => 104.0 +git
+Issue History